<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_c61345ccedc39c" . "1977427766275e2" . "da6" => base64_decode("aW1hZ2VfZ2F" . "sbGVyeQ=="), "_61a5ceb347" . "019e37116d4" . "d2907163b82" => base64_decode("bWF0Y2hfYWx" . "s"), "_df945ac2fbdd1576202fb4809" . "6eb43f9" => base64_decode("YWRtaW4ucGFuZW" . "xzX2xpc3Q="), "p" . "e" . "r" . "m" . "s" => base64_decode("cGVy" . "bXM="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_df945ac2fbdd1576202fb48096eb43" . "f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_c61345cce" . "dc39c19774" . "27766275e2" . "da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["p" . "e" . "r" . "m" . "s"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_61a5ceb3470" . "19e37116d4d2" . "907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}